ppiInteract {PCpheno} | R Documentation

## Test the association between AP-MS data and phenotype

### Description

Test the association between AP-MS data and phenotype data via a graph and permutation model.

### Usage

    ppiInteract(genename, expGraph, bait, prey, perm=10)

### Arguments

`genename` | Genes associated to a phenotype
`expGraph` | A graphNEL object (a direct graph instance of class`graph`). The nodes are the union of viable baits (VB) and viable prey (VP) of the experiment (see package ScISI)
`bait` | Proteins which was sampled as a bait in the binary relationship
`prey` | Proteins which was sampled as a prey in the binary relationship
`perm` | Number of permutation

### Value

The returned value is a list:

`Observed` | Observed values
`Expected` | Expected values after each permutation

### Author(s)

R. Gentleman and N. LeMeur

### See Also

ScISI

### Examples

    data(ScISI)
    data(essglist)
    s1 <- ppiInteract(names(essglist), Gavin2002BPGraph, viableBaits[[8]],
           viablePrey[[8]], perm=10)

[Package PCpheno version 1.6.0 Index]